Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/secure-delete: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Thu, 16 Apr 2015 16:52:49 +0000

---
 testing/secure-delete/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/secure-delete/APKBUILD
diff --git a/testing/secure-delete/APKBUILD b/testing/secure-delete/APKBUILD
new file mode 100644
index 0000000..824a1d6
--- /dev/null
+++ b/testing/secure-delete/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=secure-delete
+_pkgname=secure_delete
+pkgver=3.1
+pkgrel=0
+pkgdesc="Secure file, disk, swap, memory erasure utilities"
+url="https://www.thc.org/"
+arch="all"
+license="GPL"
+subpackages="$pkgname-doc"
+source="http://freeworld.thc.org/releases/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	sed -i -e 's/mktemp/mkstemp/g' sfill.c
+  	sed -i -e "s/sswap smem sdel-mod.o/sswap smem/" -e '/test.*sdel-mod/d' \
+	-e "s/^srm: /srm: sdel-lib.o /" -e "s/^sfill: /sfill: sdel-lib.o /" \
+	-e "s/^sswap: /sswap: sdel-lib.o /" -e "s/^smem: /smem: sdel-lib.o /" \
+	Makefile
+  	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_DIR="${pkgdir}/usr/bin" \
+    	MAN_DIR="${pkgdir}/usr/share/man" \
+    	DOC_DIR="${pkgdir}/usr/share/doc/secure_delete" \
+    	install || return 1
+  	chmod a+r "$pkgdir/usr/bin"/*
+}
+
+md5sums="aabbd7e77bf96b326d260f16fb7f8bba  secure_delete-3.1.tar.gz"
+sha256sums="a9d846d1dce3f1bdf13bbb306e8596bc1f263198a086f6beecd90ccf7bddf8d5  secure_delete-3.1.tar.gz"
+sha512sums="9e7ae1458ffcce53fac23cf9b8df673d0754e6c3ff7791c445f2290dfa04f01fd2eda8b7c5d0045883159a32438783c380f770d7277ca77c9642c68e8f42dd07  secure_delete-3.1.tar.gz"
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 16 2015 - 16:52:49 GMT